<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d" => base64_decode("bG1zZ" . "w=="), "_d717884ce9fe95b212f" . "09fa38768bc1f" => base64_decode("Y2FsZW5kYXIuZ" . "XJyX2VuZF9iZW" . "ZvcmVfc3RhcnQ" . "="), "_7771b5dcfeeecba30" . "b34d84c09a21ec4" => base64_decode("Y2FsZW5kYXIuZXJyX2ludmFsaWRf" . "ZGF0ZQ=="));






class CalendarEventDatePeriod extends DatePeriodDialog
{
    public function __construct($_7392cbdbf5bdf4880fc8e5fbb070663d = false)
    {
        parent::__construct($_7392cbdbf5bdf4880fc8e5fbb070663d);
    }
    
    
    
    
    
    
    public function ValidateStartEnd()
    {
        if (!$this->start || !$this->end) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_7771b5dcfee" . "ecba30b34d84" . "c09a21ec4"]));
        }
        
        
        if (Date::compare($this->start, $this->end, 1) <= 0) {
            return true;
        } else {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d717884ce9fe95b212f09fa38768bc" . "1f"]));
        }
    }
}